Skip to main content
`Ctrl`+`K`

# PetscViewerRegisterAll

Registers all of the viewer types (`PetscViewerType`) in the `PetscViewer` package.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscViewerRegisterAll(void)

Not Collective

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`

## Level

developer

## Location

src/sys/classes/viewer/interface/viewregall.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages